Skip to content

Response Schemas

Detailed schema reference for all IndoxHub API responses.

ChatResponse

{
  "request_id": "string (UUID)",
  "created_at": "string (ISO 8601)",
  "duration_ms": "float",
  "provider": "string",
  "model": "string",
  "success": "boolean (default: true)",
  "message": "string (default: '')",
  "data": "string | dict",
  "finish_reason": "string | null",
  "images": "list[dict] | null",
  "reasoning_content": "string | null",
  "usage": "Usage | null",
  "raw_response": "dict | null"
}

CompletionResponse

{
  "request_id": "string (UUID)",
  "created_at": "string (ISO 8601)",
  "duration_ms": "float",
  "provider": "string",
  "model": "string",
  "success": "boolean",
  "message": "string",
  "data": "string (default: '')",
  "finish_reason": "string | null",
  "usage": "Usage",
  "raw_response": "dict | null",
  "byok_api_key": "boolean"
}

EmbeddingResponse

{
  "request_id": "string (UUID)",
  "created_at": "string (ISO 8601)",
  "duration_ms": "float",
  "provider": "string",
  "model": "string",
  "success": "boolean",
  "message": "string",
  "data": "list[list[float]]",
  "dimensions": "integer",
  "usage": "Usage",
  "raw_response": "dict | null",
  "byok_api_key": "boolean"
}

ImageResponse

{
  "request_id": "string (UUID)",
  "created_at": "string (ISO 8601)",
  "duration_ms": "float",
  "provider": "string",
  "model": "string",
  "success": "boolean",
  "message": "string",
  "data": "list[{url: string, b64_json: string | null}]",
  "usage": "Usage",
  "raw_response": "dict | null",
  "byok_api_key": "boolean"
}

VideoResponse

{
  "request_id": "string (UUID)",
  "created_at": "string (ISO 8601)",
  "duration_ms": "float",
  "provider": "string",
  "model": "string",
  "success": "boolean",
  "message": "string",
  "data": "list[dict] | dict",
  "usage": "Usage",
  "raw_response": "dict | null",
  "byok_api_key": "boolean"
}

AudioResponse

{
  "request_id": "string (UUID)",
  "created_at": "string (ISO 8601)",
  "duration_ms": "float",
  "provider": "string",
  "model": "string",
  "success": "boolean",
  "message": "string",
  "data": "dict",
  "usage": "Usage",
  "raw_response": "dict | null",
  "byok_api_key": "boolean"
}

Usage

{
  "tokens_prompt": "integer",
  "tokens_completion": "integer",
  "tokens_total": "integer",
  "cost": "float",
  "latency": "float",
  "cache_read_tokens": "integer",
  "cache_write_tokens": "integer",
  "reasoning_tokens": "integer",
  "web_search_count": "integer"
}

VideoJobStatus

{
  "job_id": "string",
  "status": "string (pending | in_progress | completed | failed)",
  "progress": "integer (0-100)",
  "provider": "string",
  "model": "string",
  "prompt": "string",
  "created_at": "string | null",
  "updated_at": "string | null",
  "completed_at": "string | null",
  "result": "dict | null",
  "error": "string | null"
}
Documentation last built on May 23, 2026